<template>
  <div id="loadingMask">
    <div :class="$style.mask">
      <img src="/static/images/ic-locating.svg" />
      <p>{{ $t("landing.loadingMask.locating") }}{{ dots }}</p>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      numberOfDots: 0
    };
  },

  mounted() {
    setInterval(() => {
      this.numberOfDots = (this.numberOfDots + 1) % 4;
    }, 1000);
  },

  computed: {
    dots() {
      let dots = "";
      for (let i = this.numberOfDots; i > 0; i--) {
        dots += ".";
      }
      return dots;
    }
  }
};
</script>

<style lang="scss" module>
:global(#loadingMask) {
  $size-mobile: 240px;
  $size-desktop: 300px;

  @mixin fixCenter($size) {
    position: fixed;
    top: calc(50% - #{$size / 2});
    left: calc(50% - #{$size / 2});
    width: $size;
    height: $size;
  }

  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.75);
  z-index: $zindex-modal;

  .mask {
    @include fixCenter($size-mobile);

    background: $color-white;
    text-align: center;

    img {
      margin-top: 77px;
    }

    p {
      margin-top: 20px;
      font-size: 16px;
      color: $color-primary-black;
    }

    @include media-breakpoint-up(md) {
      @include fixCenter($size-desktop);

      img {
        margin-top: 108px;
      }

      p {
        font-size: 18px;
        margin-top: 53px;
      }
    }
  }
}
</style>
